//---------------------------------------------------------------------------
#ifndef HexDataH
#define HexDataH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class THexForm : public TForm
{
__published:	// IDE-managed Components
 TPaintBox *chPic;
 void __fastcall FormCreate(TObject *Sender);
 
 void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift );
 void __fastcall FormPaint(TObject *Sender);
 void __fastcall FormResize(TObject *Sender);
 void __fastcall FormKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
 __fastcall THexForm(TComponent* Owner);


  void __fastcall DrawHex( BYTE *String, bool flag );
  void __fastcall UpdateHex( BYTE *String, bool flag );
  void __fastcall DrawPic( bool flag );

  struct MYHEX
  { //
    int  mx;
    int  my;
    int  x;
    int  y;
    int  posi;
    bool flag;
  } hexx;

  BYTE hxData[0x1000];
  WORD count;

  Graphics::TBitmap *PIC;

  bool iBeenHere;
};

//---------------------------------------------------------------------------
extern PACKAGE THexForm *HexForm;
//---------------------------------------------------------------------------
#endif
